PTHREAD_SET_NAME_NP(3)

NAME
pthread_set_name_np - set the thread name

LIBRARY
libpthread

SYNOPSIS
#include <pthread_np.h>
void
pthread_set_name_np(pthread_t thread, const char *name);

DESCRIPTION
The pthread_set_name_np() function applies a copy of the given name to the given thread.

ERRORS
Because of the debugging nature of this function, all errors that may appear inside are silently ignored.

SEE ALSO
thr_set_name(2)

AUTHORS
This manual page was written by Alexey Zelkin <phantom@FreeBSD.org>.